OBJECTS
List Objects by Type
API to fetch paginated list of objects that belong to the specified object_type.
GET
/
v1
/
object
/
{object_type}
/
List Objects by type
curl --request GET \
--url https://hub.suprsend.com/v1/object/{object_type}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://hub.suprsend.com/v1/object/{object_type}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://hub.suprsend.com/v1/object/{object_type}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://hub.suprsend.com/v1/object/{object_type}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://hub.suprsend.com/v1/object/{object_type}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://hub.suprsend.com/v1/object/{object_type}/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://hub.suprsend.com/v1/object/{object_type}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"meta": {
"count": 1,
"limit": 10,
"has_prev": false,
"before": null,
"has_next": false,
"after": null
},
"results": [
{
"object_type": "teams",
"id": "devs",
"subscriptions_count": 1,
"properties": {},
"created_at": "2024-11-04T09:30:05.141405+00:00",
"updated_at": "2025-04-06T11:00:24.257046+00:00",
"$inbox": [
{
"value": "mwjNxXS-z5IvY6VwyXweG0mqc14WL-z9ctBlJ-4wx60",
"id_provider": "suprsend",
"status": "active",
"perma_status": "active"
}
]
}
]
}Authorizations
Pass as Bearer <API_KEY>. Get API Key from SuprSend dashboard Developers -> API Keys section.
Path Parameters
Used to group similar objects together. Give plural namespace like teams, organizations, and roles.
Query Parameters
number of results to be returned in API response
cursor to fetch the next page (from meta.after of the previous response)
cursor to fetch the previous page (from meta.before of the previous response)
⌘I
List Objects by type
curl --request GET \
--url https://hub.suprsend.com/v1/object/{object_type}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://hub.suprsend.com/v1/object/{object_type}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://hub.suprsend.com/v1/object/{object_type}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://hub.suprsend.com/v1/object/{object_type}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://hub.suprsend.com/v1/object/{object_type}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://hub.suprsend.com/v1/object/{object_type}/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://hub.suprsend.com/v1/object/{object_type}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"meta": {
"count": 1,
"limit": 10,
"has_prev": false,
"before": null,
"has_next": false,
"after": null
},
"results": [
{
"object_type": "teams",
"id": "devs",
"subscriptions_count": 1,
"properties": {},
"created_at": "2024-11-04T09:30:05.141405+00:00",
"updated_at": "2025-04-06T11:00:24.257046+00:00",
"$inbox": [
{
"value": "mwjNxXS-z5IvY6VwyXweG0mqc14WL-z9ctBlJ-4wx60",
"id_provider": "suprsend",
"status": "active",
"perma_status": "active"
}
]
}
]
}